--
-- XML2DDL demo by D.A.T.A. 
--	last modified on 13th May 2003
--

declare
	f utl_file.file_type;
	s varchar2(2000);
begin
	DATA_XML2DDL.XML2DDL('http://people.inf.elte.hu/mola/zzz/test.xml','c:\tmp', 'DATABASE.SQL');
	
	f :=utl_file.fopen('c:\tmp','DATABASE.SQL','r');
	while utl_file.is_open(f) 
	loop	
		utl_file.get_line(f,s);
		dbms_output.put_line(s);
	end loop;
	utl_file.fclose(f);
exception
	when DATA_XML2DDL.INVALID_TABLEREF then
		dbms_output.put_line('INVALID_TABLEREF');
	when DATA_XML2DDL.INVALID_COLUMNREF then
		dbms_output.put_line('INVALID_COLUMNREF');
	when NO_DATA_FOUND then
		null;
	when others then
		dbms_output.put_line(SQLCODE||'--'||SUBSTR(SQLERRM, 1, 100));
end;
/