--
-- XML2DDL by D.A.T.A. 
--	last modified on 13th May 2003
--

-- package head
Create or replace package DATA_XML2DDL
AS
	-- converts
	--	 XML at XML_URL to 
	--	 new SQL script at DDL_FILEDIR/DDL_FILENAME:
	Procedure XML2DDL      (XML_URL		VARCHAR2,
				DDL_FILEDIR	VARCHAR2,
				DDL_FILENAME	VARCHAR2);

	-- INTEGRITY ERRORS:
	-- on nonexisting referenced table:
	INVALID_TABLEREF Exception;
	-- on nonexisting referenced column:
	INVALID_COLUMNREF Exception;
	-- on nonexisting referenced column in primary key:

	-- location of DTD:
	-- returns location:
	Function GETDTDLocation RETURN VARCHAR2;
	-- sets location:
	Procedure SETDTDLocation (newloc VARCHAR2);
	-- reverts to default location:
	Procedure DEFAULTDTDLocation;
End DATA_XML2DDL;
/